###############################################
# Do not Edit! Generated by:
# spec-builder version 0.13
###############################################

Name: gnupg2
Summary: Utility for secure communication and data storage
Group: Applications/System
Version: 2.0.11
License: GPLv3+
URL: http://www.gnupg.org/download/index.en.html
Release: 2.3.moblin2
Source0: ftp://ftp.gnupg.org/gcrypt/gnupg/gnupg-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(libusb)

BuildRequires: bzip2-devel
BuildRequires: gettext
BuildRequires: libassuan-devel >= 1.0.4
BuildRequires: libgcrypt-devel >= 1.2.2
BuildRequires: libgpg-error-devel
BuildRequires: libksba-devel >= 1.0.2
BuildRequires: pth-devel
BuildRequires: readline-devel
BuildRequires: ncurses-devel
BuildRequires: zlib-devel

Requires(post): /sbin/install-info
Requires(postun): /sbin/install-info

%description
GnuPG is GNU's tool for secure communication and data storage.  It can
be used to encrypt data and to create digital signatures.  It includes
an advanced key management facility and is compliant with the proposed
OpenPGP Internet standard as described in RFC2440 and the S/MIME
standard as described by several RFCs.
GnuPG 2.0 is the stable version of GnuPG integrating support for
OpenPGP and S/MIME.  It does not conflict with an installed 1.x
OpenPGP-only version.
GnuPG 2.0 is a newer version of GnuPG with additional support for
S/MIME.  It has a different design philosophy that splits
functionality up into several modules.  Both versions may be installed
simultaneously without any conflict (gpg is called gpg2 in GnuPG 2).
In fact, the gpg version from GnuPG 1.x is able to make use of the
gpg-agent as included in GnuPG 2 and allows for seamless passphrase
caching.  The advantage of GnupG 1.x is its smaller size and no
dependency on other modules at run and build time.

%prep
%setup -q -n gnupg-%{version}

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install
mkdir -p %{buildroot}%{_sysconfdir}/gnupg
echo -n >> %{buildroot}%{_sysconfdir}/gnupg/gpgconf.conf

%find_lang gnupg2 || echo -n >> gnupg2.lang

mkdir -p %{buildroot}/%{_datadir}/doc/%{name}-%{version}
for f in `ls %{buildroot}/%{_datadir}/doc/`; do
	if [ -f %{buildroot}/%{_datadir}/doc/$f ]; then
		mv %{buildroot}/%{_datadir}/doc/$f %{buildroot}/%{_datadir}/doc/%{name}-%{version}
	fi
done

%clean
rm -rf %{buildroot}

%post 
if [ -e %{_infodir}/gnupg2.info.gz ]; then
	/sbin/install-info %{_infodir}/gnupg2.info.gz %{_infodir}/dir
fi

%postun 
if [ $1 = 0 ] && [ -e %{_infodir}/gnupg2.info.gz ]; then
	/sbin/install-info --delete %{_infodir}/gnupg2.info.gz %{_infodir}/dir

fi

%files -f gnupg2.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO
%dir %{_sysconfdir}/gnupg
%ghost %config(noreplace) %{_sysconfdir}/gnupg/gpgconf.conf
%{_bindir}/gpg2
%{_bindir}/gpgv2
%{_bindir}/gpg-connect-agent
%{_bindir}/gpg-agent
%{_bindir}/gpgconf
%{_bindir}/gpgkey2ssh
%{_bindir}/gpgparsemail
%{_bindir}/gpgsm*
%{_bindir}/kbxutil
%{_bindir}/scdaemon
%{_bindir}/watchgnupg
%{_sbindir}/*
%{_datadir}/gnupg/
%{_libexecdir}/*
%doc %{_infodir}/*.info*
%doc %{_mandir}/man?/*
%doc /usr/share/doc/gnupg/


%changelog
* Mon May 25 2009 Anas Nashif <anas.nashif@intel.com> 2.0.11
- Fixed ChangeLog
* Sat Mar 14 2009 Passion Zhao <passion.zhao@intel.com> 2.0.11
- Update to 2.0.11
* Wed Dec 17 2008 Arjan van de Ven <arjan@linux.intel.com> 2.0.9
- Create standardized spec file
* Mon Sep 22 2008 Yin Kangkai <kangkai.yin@intel.com> 2.0.9-2
- fixed install-info warnings
